CCfits 2.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
CCfits::FITSUtil::MatchType< T > Class Template Reference

function object that returns the FITS ValueType corresponding to an input intrinsic type More...

`#include <FITSUtil.h>`

## Detailed Description

### template<typename T>
class CCfits::FITSUtil::MatchType< T >

function object that returns the FITS ValueType corresponding to an input intrinsic type

This is particularly useful inside templated class instances where calls to cfitsio need to supply a value type. With this function one can extract the value type from the class type.

usage:

MatchType<T> type;

ValueType dataType = type();

Uses run-time type information (RTTI) methods.

The documentation for this class was generated from the following file:

- FITSUtil.h